package com.goldenwater.slgc.service.impl.pms;

import com.goldenwater.slgc.entity.pms.PmsMeeting;
import com.goldenwater.slgc.mapper.pms.PmsMeetingMapper;
import com.goldenwater.slgc.service.pms.IPmsMeetingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class PmsMeetingServiceImpl implements IPmsMeetingService {
    @Autowired
    private PmsMeetingMapper pmsMeetingMapper;

    /**
     * 查询会议纪要列表
     */
    @Override
    public List<PmsMeeting> selectList(PmsMeeting meeting) {
        return pmsMeetingMapper.selectList(meeting);
    }

    /**
     * 根据主键查询会议纪要
     */
    @Override
    public PmsMeeting selectById(Long id) {
        return pmsMeetingMapper.selectById(id);
    }

    /**
     * 新增会议纪要
     */
    @Override
    public int insert(PmsMeeting meeting) {
        return pmsMeetingMapper.insert(meeting);
    }

    /**
     * 修改会议纪要
     */
    @Override
    public int update(PmsMeeting meeting) {
        return pmsMeetingMapper.update(meeting);
    }

    /**
     * 删除会议纪要
     */
    @Override
    public int deleteById(Long id) {
        return pmsMeetingMapper.deleteById(id);
    }

    /**
     * 批量删除会议纪要
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return pmsMeetingMapper.deleteByIds(ids);
    }
}
